Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Interface IVerticalRulerColumn

All Known Subinterfaces:
  IChangeRulerColumn

All Known Implementing Classes:
  AnnotationRulerColumn, ChangeRulerColumn, LineNumberChangeRulerColumn, LineNumberRulerColumn

public interface IVerticalRulerColumn

A vertical ruler column is an element that can be added to a composite vertical ruler (`CompositeRuler`). A composite vertical ruler is a vertical ruler with dynamically changing appearance and behavior depending on its actual arrangement of ruler columns. A vertical ruler column supports a subset of the contract of a vertical ruler.

Since:
  2.0
See Also:
  `CompositeRuler`

Method Summary
`Control` | `createControl(CompositeRuler parentRuler, Composite parentControl)` Creates the column's SWT control.
`Control` | `getControl()` Returns the column's SWT control.
`int` | `getWidth()` Returns the width of this column's control.
`void` | `redraw()` Redraws this column.
`void` | `setFont(Font font)` Sets the font of this ruler column.
`void` | `setModel(IAnnotationModel model)` Associates an annotation model with this ruler column.

Method Detail

### setModel

    public void setModel(IAnnotationModel model)

  Associates an annotation model with this ruler column. A value `null` is acceptable and clears the ruler.

  Parameters:
    `model` - the new annotation model, may be `null`

### redraw

    public void redraw()

  Redraws this column.

### createControl

    public Control createControl(CompositeRuler parentRuler,
                                 Composite parentControl)

  Creates the column's SWT control.

  Parameters:
    `parentRuler` - the parent ruler of this column
    `parentControl` - the control of the parent ruler
  Returns:
    the column's SWT control

### getControl

    public Control getControl()

  Returns the column's SWT control.

  Returns:
    the column's SWT control

### getWidth

    public int getWidth()

  Returns the width of this column's control.

  Returns:
    the width of this column's control

### setFont

    public void setFont(Font font)

  Sets the font of this ruler column.

  Parameters:
    `font` - the new font of the ruler column

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.